🚧 [Experimental] Update data transfer
Updates transfer labels, type or tables according to the update mask and returns an asynchronous operation.
Request
POST
https://api.datalens.tech/rpc/updateDataTransfer
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"id": "example",
"updateMask": {
"paths": [
"example"
]
},
"labels": {},
"type": {
"regular": {
"cronExpression": "example",
"tables": [
{}
]
}
},
"tables": [
"example"
]
}
|
Name |
Description |
||
|
id |
Type: string ID of the transfer to update. Min length: Example: |
||
|
labels |
Type: object
Transfer labels. Example
|
||
|
tables |
Type: string[] Source tables to transfer. Example
|
||
|
type |
Any of 3 types
Transfer mode and its settings. Example
|
||
|
updateMask |
Type: object | null Fields to update. Example
|
DataTransferIncrementalTableArgs
|
Name |
Description |
|
tableName |
Type: string Name of the source table. Min length: Example: |
|
tableNamespace |
Type: string Namespace or schema of the source table. Min length: Example: |
|
cursorColumn |
Type: string Column used to detect new and changed rows. Example: |
|
initialState |
Type: string Initial cursor value for the first transfer run. Example: |
Example
{
"tableNamespace": "example",
"tableName": "example",
"cursorColumn": "example",
"initialState": "example"
}
RegularDataTransferTypeArgs
|
Name |
Description |
||||
|
regular |
Type: object
Regular transfer settings. Example
|
Example
{
"regular": {
"cronExpression": "example",
"tables": [
{
"tableNamespace": "example",
"tableName": "example",
"cursorColumn": "example",
"initialState": "example"
}
]
}
}
OneTimeDataTransferTypeArgs
|
Name |
Description |
|
oneTime |
Type: objectOne-time transfer settings. Example
|
Example
{
"oneTime": {}
}
Responses
200 OK
Response
Body
application/json
{
"id": "example",
"description": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"createdBy": "example",
"modifiedAt": {
"seconds": "example",
"nanos": 0.5
},
"done": true,
"metadata": {},
"error": {
"code": 0.5,
"message": "example",
"details": [
null
]
},
"response": {}
}
|
Name |
Description |
||||||
|
done |
Type: boolean Whether the operation has completed. |
||||||
|
id |
Type: string Unique ID of the operation. Example: |
||||||
|
metadata |
Type: object
Service-specific operation metadata. Example
|
||||||
|
createdAt |
Type: object
Time when the operation was created. Example
|
||||||
|
createdBy |
Type: string ID of the operation creator. Example: |
||||||
|
description |
Type: string Description of the operation. Example: |
||||||
|
error |
Type: object
Operation error, if the operation failed. Example
|
||||||
|
modifiedAt |
Type: object
Time when the operation was last modified. Example
|
||||||
|
response |
Type: object
Service-specific operation response. Example
|